import Vue from 'vue'
import Router from 'vue-router'

const routerPush = Router.prototype.push  

Router.prototype.push = function push(location) {
 
  // if(typeof(location)=="string"){
  //   var Separator = "&";
  //   if(location.indexOf('?')==-1) { Separator='?'; }
  //   location = location + Separator + "random=" + Math.random();
  // }

  return routerPush.call(this, location).catch(error => error)
}

Vue.use(Router)

export default new Router({
  // mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      redirect: '/home'
    },
    {
      path: '/home',
      name: 'home',
      component: () => import('./views/Home.vue'),
      meta: {
        title: '添利'
      }
    },
	{
	  path: '/about',
	  name: 'about',
	  component: () => import('./views/About.vue'),
	  meta: {
	    title: '关于我们'
	  }
	},
	
	{
		path: '*',
		redirect: '/home'
	}
  ]
})
